Bug 81995 - FORMATTING: numbering scheme of headings
Summary: FORMATTING: numbering scheme of headings
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: BSA target:4.4.0 target:4.3.1 target:...
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-01 07:04 UTC by Holger Jakobs
Modified: 2015-12-17 08:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
LibO 4.0, 4.1 and 4.2 dialogs (62.95 KB, image/png)
2014-08-01 09:18 UTC, Yousuf Philips (jay) (retired)
Details
dialog obtained with the fix (119.94 KB, image/png)
2014-08-12 09:50 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Jakobs 2014-08-01 07:04:54 UTC
Problem description: 

When numbering headings, from level 2 headings only show the number of their own level - with the exception of level 3 showing nothing at all.

Steps to reproduce:
1. enter text and turn to headings using ctrl+1, ctrl+2, ctrl+3 on various paragraphs
2. number headings using format, bullets and numbering, then the third tab and the third item in the second row.

Current behavior:
wrong/missing numbering (even in the preview in the dialog)
1
1

1
1

Expected behavior:
all headings get numbering scheme
1
1.1
1.1.1
1.1.1.1
and so on

              
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 Yousuf Philips (jay) (retired) 2014-08-01 09:17:53 UTC
Hello Holger,

Thank you for the bug report. I can see that the problem arose in 4.1, likely on the reworking of the dialog UI, and was partially fixed in 4.2 and above. Also noticed that the first item on the first row doesnt match its 4.0 version.
Comment 2 Yousuf Philips (jay) (retired) 2014-08-01 09:18:29 UTC
Created attachment 103801 [details]
LibO 4.0, 4.1 and 4.2 dialogs
Comment 3 Michael Stahl (CIB) 2014-08-11 20:38:00 UTC
bibisect range:

bc4f4de5fde53a46ff835a150f3128db2f63f860..658467e3e10b88a07b6c0c326eec8d35b6cfb338

regression from:

commit 97eb8a6e0eb830f37dcba64a51d725aab4c5ff53
Author: Jean-Noël Rouvignac <jn.rouvignac@gmail.com>
Date:   Wed Jan 30 11:44:23 2013 +0100

    Removed several useless macros: A2OU, A2S, C2U, C2S, OUSTR, OUSTRING


what a joy, a String replacement that touches 3k lines...

fixed on master
Comment 4 Commit Notification 2014-08-11 20:38:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d3c9ed257e51af55f358d2b44d5fc2e341c7202

fdo#81995: fix Outline numbering tab page



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-08-11 21:22:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03d44c7670413b730b1445eeab5210cff8245786&h=libreoffice-4-3

fdo#81995: fix Outline numbering tab page


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-08-11 21:24:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48cbe9d301e3c7f94ca8cc682b5c67a4fe6f378c&h=libreoffice-4-2

fdo#81995: fix Outline numbering tab page


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2014-08-12 05:31:31 UTC
Verified fixed in Version: 4.3.2.0.0+
Build ID: 03d44c7670413b730b1445eeab5210cff8245786
build at home under Ubuntu 14.04 x86-64

Best regards. JBF
Comment 8 Yousuf Philips (jay) (retired) 2014-08-12 09:09:41 UTC
Hi JBF,

Can you give a screenshot as the latest daily build isnt available. :)
Comment 9 Jean-Baptiste Faure 2014-08-12 09:50:59 UTC
Created attachment 104487 [details]
dialog obtained with the fix

(In reply to comment #8)
> Hi JBF,
> 
> Can you give a screenshot as the latest daily build isnt available. :)

OOps, sorry. 

Best regards. JBF
Comment 10 Commit Notification 2014-08-12 13:28:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecc5c10f26f39ccb91592f09514dd000ca244368&h=libreoffice-4-3-1

fdo#81995: fix Outline numbering tab page


It will be available already in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-07-06 20:05:38 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c12c1b15eaa2310b1e04d0585c009e7c9bf45793

Added Test for tdf#81995 check outline numbering

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:29:04 UTC Comment hidden (obsolete)